Alle Optionen
jessie  ] [  jessie-backports  ] [  stretch  ] [  stretch-backports  ] [  buster  ] [  sid  ]
[ Quellcode: needrestart  ]

Paket: needrestart (1.2-8+deb8u1)

Links für needrestart

Screenshot

Debian-Ressourcen:

Quellcode-Paket needrestart herunterladen:

Betreuer:

Externe Ressourcen:

Ähnliche Pakete:

Prüfung auf erforderliche Neustarts von Daemons nach Bibliotheks-Upgrades

needrestart prüft, welche Daemons nach Bibliotheks-Upgrades neu gestartet werden müssen. Das Programm wurde von checkrestart aus dem Paket debian-goodies inspiriert.

Merkmale:

 - unterstützt systemd, erfordert ihn aber nicht
 - schwarze Liste für ausführbare Programme (z.B. Login Manager)
 - versucht anstehende Kernel-Upgrades zu erkennen
 - versucht erforderliche Neustarts von Daemons zu erkennen, die
   auf Interpretern beruhen (unterstützt Perl, Python, Ruby)
 - mittels Hooks vollständig in apt/dpkg integriert

Andere Pakete mit Bezug zu needrestart

  • hängt ab von
  • empfiehlt
  • schlägt vor
  • erweitert

needrestart herunterladen

Download für alle verfügbaren Architekturen
Architektur Paketgröße Größe (installiert) Dateien
all 22,8 kB186,0 kB [Liste der Dateien]